Package tigase.db.util

# Class DBSchemaLoader.Parameters

java.lang.Object
tigase.db.util.DBSchemaLoader.Parameters

All Implemented Interfaces:
  `SchemaLoader.Parameters`

Enclosing class:
  DBSchemaLoader

public static class DBSchemaLoader.Parameters extends Object implements SchemaLoader.Parameters

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdminPassword()`
  `List<BareJID>`
  `getAdmins()`
  `String`
  `getDbHostname()`
  `String`
  `getDbName()`
  `String`
  `getDbPass()`
  `String`
  `getDbRootPass()`
  `String`
  `getDbRootUser()`
  `String`
  `getDbType()`
  `String`
  `getDbUser()`
  `Boolean`
  `getIngoreMissingFiles()`
  `Level`
  `getLogLevel()`
  `Map<String,String>`
  `getOtherParameters()`
  `String`
  `getSchemaDirectory()`
  `String`
  `getServerTimezone()`
  `protected void`
  `init(Optional<SchemaManager.RootCredentialsCache> rootCredentialsCache)`
  `boolean`
  `isDbRootAsk()`
  `boolean`
  `isForceReloadSchema()`
  `boolean`
  `isIgnoreMissingFiles()`
  `Boolean`
  `isUseLegacyDatetimeCode()`
  `Boolean`
  `isUseSSL()`
  `void`
  `parseUri(String uri)`
  `void`
  `setAdmins(List<BareJID> admins, String password)`
  `void`
  `setDbRootAsk(boolean dbRootAsk)`
  `void`
  `setDbRootCredentials(String username, String password)`
  `void`
  `setForceReloadSchema(boolean forceReloadSchema)`
  `void`
  `setIngoreMissingFiles(Boolean ingoreMissingFiles)`
  `void`
  `setLogLevel(Level level)`
  `void`
  `setProperties(Properties props)`
  `void`
  `setSchemaDirectory(String schemaDirectory)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters()

- ## Method Details

  - ### getAdminPassword

    public String getAdminPassword()
    Specified by:
      `getAdminPassword` in interface `SchemaLoader.Parameters`

  - ### getAdmins

    public List<BareJID> getAdmins()
    Specified by:
      `getAdmins` in interface `SchemaLoader.Parameters`

  - ### getDbRootPass

    public String getDbRootPass()

  - ### getDbRootUser

    public String getDbRootUser()

  - ### isDbRootAsk

    public boolean isDbRootAsk()
    Specified by:
      `isDbRootAsk` in interface `SchemaLoader.Parameters`

  - ### setDbRootAsk

    public void setDbRootAsk(boolean dbRootAsk)
    Specified by:
      `setDbRootAsk` in interface `SchemaLoader.Parameters`

  - ### getDbType

    public String getDbType()

  - ### getDbName

    public String getDbName()

  - ### getDbHostname

    public String getDbHostname()

  - ### getDbUser

    public String getDbUser()

  - ### getDbPass

    public String getDbPass()

  - ### getOtherParameters

    public Map<String,String> getOtherParameters()

  - ### isForceReloadSchema

    public boolean isForceReloadSchema()
    Specified by:
      `isForceReloadSchema` in interface `SchemaLoader.Parameters`

  - ### setForceReloadSchema

    public void setForceReloadSchema(boolean forceReloadSchema)
    Specified by:
      `setForceReloadSchema` in interface `SchemaLoader.Parameters`

  - ### isIgnoreMissingFiles

    public boolean isIgnoreMissingFiles()

  - ### isUseSSL

    public Boolean isUseSSL()

  - ### isUseLegacyDatetimeCode

    public Boolean isUseLegacyDatetimeCode()

  - ### getServerTimezone

    public String getServerTimezone()

  - ### getSchemaDirectory

    public String getSchemaDirectory()

  - ### setSchemaDirectory

    public void setSchemaDirectory(String schemaDirectory)
    Specified by:
      `setSchemaDirectory` in interface `SchemaLoader.Parameters`

  - ### parseUri

    public void parseUri(String uri)
    Specified by:
      `parseUri` in interface `SchemaLoader.Parameters`

  - ### setProperties

    public void setProperties(Properties props)
    Specified by:
      `setProperties` in interface `SchemaLoader.Parameters`

  - ### setAdmins

    public void setAdmins(List<BareJID> admins, String password)
    Specified by:
      `setAdmins` in interface `SchemaLoader.Parameters`

  - ### setDbRootCredentials

    public void setDbRootCredentials(String username, String password)
    Specified by:
      `setDbRootCredentials` in interface `SchemaLoader.Parameters`

  - ### getLogLevel

    public Level getLogLevel()
    Specified by:
      `getLogLevel` in interface `SchemaLoader.Parameters`

  - ### setLogLevel

    public void setLogLevel(Level level)
    Specified by:
      `setLogLevel` in interface `SchemaLoader.Parameters`

  - ### getIngoreMissingFiles

    public Boolean getIngoreMissingFiles()

  - ### setIngoreMissingFiles

    public void setIngoreMissingFiles(Boolean ingoreMissingFiles)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### init

    protected void init(Optional<SchemaManager.RootCredentialsCache> rootCredentialsCache)